วันพุธที่ 5 กันยายน พ.ศ. 2550

Config Rad6.0 ให้สามารใช้ JDK มากกว่า 1.5 ได้

คำเตือน
1. เมื่อทำแล้วอาจจะทำให้ Java บางไฟลล์ ต้องทำการแก้ไข หรืออาจจะทำให้เรา Generate EJB ไม่ได้ (อันนี้ผมเป็นเลยไม่แน่ใจว่าเครื่องอื่นเป็นหรือเปล่าน่ะครับ)
2. เราไม่สามารถที่จะเปลี่ยนที่ Preference --> Java --> Compiler ในส่วนของ Compliance and Classfiles ให้เป็น Java เวอร์ชันมากกว่า 1.4 ได้ครับ อาจจะทำให้มีปัญหาอย่างอื่นตามมาแนะนำให้ไปใช้ Rad7.0 เลยครับ

วิธีทำดังนี้
1. ให้ทำการเลือก Window --> Preference
2. ไปที่ Java แล้วคลิกที่ Installed JRE
3. ทำการ Add JRE เวอร์ชันที่เราต้องการลงไป เช่น C:\Program Files\Java\jre1.5.0_06 เป็นต้น
4. แล้วเราก็ทำการแก้ทีละ Project ให้ใช้ JRE ตัวที่เราตั้งใหม่นี้
5. โดยการคลิกขวาที่ Project แล้วเลือก Properties ที่ Java Build Path
ุ6. เลือกที่ Tab Libraries
7. เลือก JRE System Library แล้วคลิด Edit
8. ให้เลือก Alternate JRE แล้วก็เลือก JRE ที่เราทำการ Add ไปใหม่ ก็จะใช้งานได้แล้วครับ

2 comments:

ไม่ระบุชื่อ กล่าวว่า...

แล้ว was ล่ะครับ ทำไงดี
ตัว jre ของ was ที่เป็น 1.4 อยู่สามารถเปลี่ยให้เป็น 1.5 ได้ใหมครับ ทำไงบ้าง? ขอบคุณล่วงหน้าสำหรับคำตอบครับ

Yashima กล่าวว่า...

ถ้าเป็นตัว WAS ผมคิดว่ามันเปลี่ยนไม่ได้น่ะครับ มันน่าจะต้องใช้ Update Patch เอาแทนน่ะครับ